summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUdo Richter <udo_richter@gmx.de>2010-06-06 18:11:41 +0200
committerUdo Richter <udo_richter@gmx.de>2013-10-09 22:57:49 +0200
commit3d2787909c074f4425ff23fdfd0471fb45881b70 (patch)
tree9d73d07d324cefee05213123f8112391ebc4a864
parent2e5af6bed0e763f0c9eef28ff45775e5eae79846 (diff)
downloadrunvdr-extreme-3d2787909c074f4425ff23fdfd0471fb45881b70.tar.gz
runvdr-extreme-3d2787909c074f4425ff23fdfd0471fb45881b70.tar.bz2
Fix: Fail to load if AddPlugin is last in runvdr.conf
Fix: Error message if runvdr.conf fails
-rw-r--r--HISTORY2
-rwxr-xr-xrunvdr3
2 files changed, 4 insertions, 1 deletions
diff --git a/HISTORY b/HISTORY
index 41000c5..a2ba5c7 100644
--- a/HISTORY
+++ b/HISTORY
@@ -3,6 +3,8 @@ runvdr extreme Revision History
xxxx-xx-xx:
- Fix: Debian init script: Pull default locale
+- Fix: Fail to load if AddPlugin is last in runvdr.conf
+- Fix: Error message if runvdr.conf fails
2009-06-28: Version 0.4.2
- New: Support -i and --instance of VDR-1.7.4+
diff --git a/runvdr b/runvdr
index b6f80cf..54b95ca 100755
--- a/runvdr
+++ b/runvdr
@@ -265,6 +265,7 @@ function AddPluginString() {
else
[ -n "$1" ] && PLUGINS[${#PLUGINS[*]}]="$1";
fi
+ return 0
}
function AddPlugin() {
# add $* as plugin, do shell quoting
@@ -340,7 +341,7 @@ function LoadConfFile() {
fi
if [ -n "$RUNVDRCONF" ] ; then
if [ -r "$RUNVDRCONF" ] ; then
- . "$RUNVDRCONF" || exit 1
+ . "$RUNVDRCONF" || { echo "runvdr: $RUNVDRCONF returned with $?." >&2 ; exit 1 ; }
else
echo "runvdr: $RUNVDRCONF not found." >&2
fi